%define upstream_name    File-HomeDir-PathClass
%define upstream_version 1.112060

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    File::HomeDir returning Path::Class objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir) >= 0.930.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module is just a wrapper around the File::HomeDir manpage methods,
transforming their return value to the Path::Class manpage objects. This
allows for easier usage of the value.

Refer to the File::HomeDir#METHODS manpage for a list of which functions
are supported.

'File::HomeDir::PathClass' supports both original the File::HomeDir manpage
interfaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.112.60-11.mga10
+ Revision: 2198725
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.112.60-10.mga9
+ Revision: 1803631
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.112.60-9.mga8
+ Revision: 1494488
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.112.60-8.mga7
+ Revision: 1268069
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.112.60-7.mga6
+ Revision: 1027312
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.112.60-6.mga6
+ Revision: 945548
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.112.60-5.mga5
+ Revision: 740513
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.112.60-4.mga5
+ Revision: 684735
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.112.60-3.mga4
+ Revision: 511541
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.112.60-2.mga3
+ Revision: 367263
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 25 2011 jquelin <jquelin> 1.112.60-1.mga2
+ Revision: 129096
- update to 1.112060

* Sat Jan 22 2011 jquelin <jquelin> 1.101.611-1.mga1
+ Revision: 31990
- mageia rebuild
- imported package perl-File-HomeDir-PathClass


* Tue Jan 11 2011 cpan2dist 1.101611-1mdv
- initial mdv release, generated with cpan2dist
